
:root {

  /* ======== Spacing ========*/
  /*.25rem = 4px, .5rem = 8px, .75rem = 12px */
  --space-1:.25rem;
  --space-2:.5rem;
  --space-3:0.75rem;
  --space-4: 1rem;
  --space-6: 1.5rem;
  --space-8: 2rem;
  --space-10: 2.5rem;
  --space-12: 3rem;
  --space-14: 3.5rem;
  --space-16: 4rem;
  --space-20: 5rem;

  --margin-desktop: var(--space-12);
  --margin-mobile: var(--space-8);
  --header-height-desktop: 8.5rem;

  /* Border */
  --pixel-1: 0.0625rem;
  --pixel-2: 0.125rem;
  --pixel-3: 0.1875rem;
  --pixel-4: 0.25rem;
  --pixel-5: 0.3125rem;
  --pixel-6: 0.375rem;

  /*z index*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;



  /* ======== Font and typography ========*/
  --font-family: 'Roboto Mono', monospace;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px */
  --font-size-hero: 5rem;
  --font-size-big: 2.5rem;
  --font-size-h1: 1.5rem;
  --font-size-h2: 1.25rem;
  --font-size-h3: 1.125rem;
  --font-size-normal: 0.938rem;
  --font-size-sm: 0.813rem;
  --font-size-xs: 0.75rem;

  /* ======== Color ========*/
  --primary-color: #c29525;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;

  text-decoration: none;
  list-style: none;
  outline: none;
}

/* html {
  font-size: 62.5%;
} */

.menu-button {
  position: fixed;
  top: var(--space-12);
  right: var(--space-12);
  z-index: 200;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  
  width: var(--space-8);
  height: var(--space-8);
  cursor: pointer;
  transition: right .7s;
}

.open-menu .menu-button {
  right: 20.5rem;
}
.menu-line {
  width: 100%;
  height: var(--pixel-2);
  background-color: #fff;
  box-shadow: 0 var(--pixel-1) var(--pixel-2) rgba(0,0,0,0.2);
}

.open-menu .menu-line {
  background-color: rgba(0,0,0,0.8);
}
.open-menu .menu-line-1 {
  transform-origin: left;
  transform: rotate(40deg);
}

.open-menu .menu-line-2 {
  opacity: 0;
  visibility: hidden;
}

.open-menu .menu-line-3 {
  transform-origin: left;
  transform: rotate(-40deg) translateY(.1rem);
}

.menu-button span {
  position: absolute;
  left: 3rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 6.25rem;
  height: 2.5rem;

  background-color: #e2b646;
  font-family: 'Baloo Da 2', serif;
  font-size: 1rem;
  letter-spacing: var(--pixel-1);
  color: #fff;
  opacity: 0;
  visibility: hidden;
  transition: all .2s;
}
.open-menu .menu-button:hover span {
  opacity: 1;
  visibility: visible;
}

.menu-button span::before {
  content: "";
  position: absolute;
  top: 50%;
  left: -16px;
  border-block: 10px solid transparent;
  border-right: 10px solid #e2b646;
  border-left: 10px solid transparent;
  transform: translateY(-50%);
}
.hero {
  position: relative;
  width: 100%;
  height: 100vh;
  perspective: 62.5rem;
  overflow: hidden;
}

.hero-image {
  width: 100%;
  height: 100%;
  background-color: rgba(0,0,0,0.8);
  overflow: hidden;
}

.hero-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  opacity: .5;
  animation: scale 25s;
}

@keyframes scale {
  0% {
    transform: scale(1.3);
  }
  100% {
    transform: scale(1);
  }
}

.hero-banner {
  position: absolute;
  top: 30%;
  left: 15%;
}

.hero-banner h1 {
  width: 50%;

  font-family: 'Baloo Da 2', serif;
  font-size: var(--font-size-hero);
  font-weight: 300;
  line-height: 5.5rem;
  letter-spacing: var(--pixel-2);
  text-shadow: 0 var(--pixel-3) var(--pixel-5) rgba(0,0,0,0.4);
  color: #fff;
  animation-delay: .5s;
}

.hero-banner p {
  margin-block-end: var(--space-8);
  width: 70%;

  font-family: 'Josefin Slab', serif;
  font-size: var(--font-size-big);
  letter-spacing: var(--pixel-1);
  text-shadow: 0 var(--pixel-3) var(--pixel-5) rgba(0,0,0,0.4);
  color: #fff;
  animation-delay: .7s;
}

.hero-banner button {
  width: 15.5rem;
  height: var(--space-16);
  border: none;
  
  font-family: 'Muli', serif;
  font-size: var(--font-size-h2);
  text-transform: uppercase;
  color: #fff;
  background-color: var(--primary-color); 

  text-shadow: 0 var(--pixel-2) var(--pixel-4) rgba(0,0,0,0.2);
  box-shadow: 0 var(--pixel-3) var(--pixel-5) rgba(0,0,0,0.4);
  cursor: pointer;
  animation-delay: .9s;
}

.hero-animated {
  opacity: 0;
  animation: moveBanner 1s forwards;
}

@keyframes moveBanner {
  0% {
    transform: translateY(25rem) rotateY(-20deg);
  }
  100% {
    transform: translateY(0) rotateY(0);
    opacity: 1;
  }
}

.sidebar {
  position: fixed;
  top: 0;
  right: -25rem;
  width: 25rem;
  height: 100vh;
  background-color: #fff;
  transition: right .5s;
  /* display: flex;
  flex-direction: column; */
}

.open-menu .sidebar {
  right: 0;
}

.menu {
  /* display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex: 1 1 auto;
  height: 100%; 
  width: 100%; */
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.menu-item {
  text-align: center;
}
.menu-link {
  position: relative;
  font-family: "Baloo Da 2", serif;
  font-size: var(--font-size-big);
  color: #555;
}

.menu-link::before {
  content: attr(data-content);
  position: absolute;
  top: 0;
  left: 0;
  width: 0;
  color: var(--primary-color);
  overflow: hidden;
  white-space: nowrap;
  transition: width .3s ease-in-out;
}

.menu-link:hover::before {
  width: 100%;
}

.social-media {
  position: absolute;
  bottom: 1.875rem;
  display: flex;
  justify-content: center;
  /* height: 2rem; */
  width: 100%;
}

.social-media i {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 1.5rem;
  width: 3rem;
  height: 3rem;

  border-radius: 50%;
  font-size: 1.375rem;
  background-color: #777;
  color: #fff;
  transition: background-color .3s;
}

.social-media i:hover {
  background-color: var(--primary-color);
}

.about-us {
  padding-block-end: 9rem;
  width: 100%;
  background-color: #f5f5f5;
}

.section-header {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 4.5rem 0 6.5rem 0;
}

.section-heading {
  margin-block-end: 4rem;

  font-family: 'Muli', serif;
  font-size: 3rem;
  font-weight: 300;
  color: #4b4b4b4b;
}

.section-header::after {
  content: "";
  width: 7.5rem;
  height: var(--pixel-5);
  background-color: var(--primary-color);
}

.services {
  display: grid;
  grid-template-columns: repeat(16, 1fr);
  grid-template-rows: repeat(6,4rem);
  row-gap: 2.5rem;
  width: 100%;
  height: 100%;
  --grid-row-1: 1/3;
  --grid-row-2: 3/5;
  --grid-row-3: 5/-1;
  --grid-row-img: 2/6;
  
  --grid-col-1: 3/6;
  --grid-col-2: 4/7;
  --grid-col-img: 7/11;
  --grid-col-3: 11/14;
  --grid-col-4: 12/15;
}

.service {
  width: 100%;
  margin-block-end: 1.25rem;
}

.service:nth-child(1){
  grid-column: var(--grid-col-2);
  grid-row: var(--grid-row-1);
}

.service:nth-child(2){
  grid-column: var(--grid-col-1);
  grid-row: var(--grid-row-2);
}
.service:nth-child(3){
  grid-column: var(--grid-col-2);
  grid-row: var(--grid-row-3);
}
.service:nth-child(4){
  grid-column: var(--grid-col-3);
  grid-row: var(--grid-row-1);
}
.service:nth-child(5){
  grid-column: var(--grid-col-4);
  grid-row: var(--grid-row-2);
}
.service:nth-child(6){
  grid-column: var(--grid-col-3);
  grid-row: var(--grid-row-3);
}
.about-us__img {
  grid-column: var(--grid-col-img);
  grid-row: var(--grid-row-img);
  width: 100%;
}

.service-header {
  display: flex;
  align-items: center;
  margin-block-end: 0.625rem;
}
.service-header i {
  margin-inline-end: var(--space-4);
  font-size: var(--font-size-big);
  color: #4b4b4b;
}
.service-header h3 {
  margin-block-end: var(--space-4);
  font-family: 'Baloo Da 2', serif;
  font-size: var(--font-size-h1);
  line-height: 1.625rem;
  font-weight: 400;
}

.service-text {
  font-family: 'Josefin Slab', serif;
  font-size: var(--font-size-normal);
  text-align: justify;
}
.about-us__img img{
  width: 100%;
  object-fit: cover;
  opacity: .8;
}